Subject: Re: [PATCH v3 1/4] t5000: test tar files that overflow ustar headers

From: Johannes Sixt <[email-masked]>
Date: Fri, 24 Jun 2016 19:05:14 +0200

Am 24.06.2016 um 18:46 schrieb Jeff King:
> On Fri, Jun 24, 2016 at 06:38:55PM +0200, Johannes Sixt wrote:
>> It's going to be 269 with ksh, and who-knows-what on Windows (due to lack of
>> SIGPIPE - I haven't tested this, yet).
>
> Thanks, I meant to ask about that. We do a workaround in t0005, but we
> _don't_ do it in the new sigpipe handling for test_must_fail. Is the
> latter just broken, too?

That's well possible. It is not prepared to see ksh's exit codes for 
signals.

-- Hannes